#ifndef ITEMCONTAINER_HPP_INCLUDED
#define ITEMCONTAINER_HPP_INCLUDED

#include "Node.hpp"
#include "../JavaClass/Class.hpp"
#include <vector>
#include <cstdint>

namespace Internal
{
    class ItemContainer : public Node
    {
        public:
            ItemContainer(const void* Obj);

            ItemContainer() = default;
            ItemContainer(ItemContainer&& Obj) = default;
            ItemContainer(const ItemContainer& Obj) = default;
            ItemContainer& operator=(ItemContainer&& Obj) = default;
            ItemContainer& operator=(const ItemContainer& Obj) = default;

            static Class GetClass();

            std::vector<std::int32_t> GetItemAmounts() const;
            std::vector<std::int32_t> GetItemIDs() const;

    };
}

#endif // ITEMCONTAINER_HPP_INCLUDED
